> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add/Remove Employees to Accrual Policy

> Add or remove employees from an existing accrual policy by company and policy code.



## OpenAPI

````yaml openapi/zeal-api.json post /accrualPolicyEmployees
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /accrualPolicyEmployees:
    post:
      summary: Add/Remove Employees to Accrual Policy
      operationId: add-employees-to-accrual-policy
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - companyID
                - policy_code
              properties:
                companyID:
                  type: string
                  description: ID of the company
                policy_code:
                  type: string
                  description: Unique code assigned to a policy
                add_employees:
                  type: array
                  description: >-
                    Adds an array of employeeIDs to be assigned to the
                    respective policy
                  items:
                    type: string
                remove_employees:
                  type: array
                  description: >-
                    Removes employees from accrual policy (accepts array of
                    employeeIDs)
                  items:
                    type: string
            examples:
              Request Example:
                value:
                  companyID: cc3344747eee494857rrc9458nb3948
                  policy_code: '001'
                  add_employees:
                    - 3343eree4394785ec3334cc
                  remove_employees: []
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    companyID: cc3344747eee494857rrc9458nb3948
                    policy_code: '001'
                    add_employees:
                      - 3343eree4394785ec3334cc
                    remove_employees: []
              schema:
                type: object
                properties:
                  companyID:
                    type: string
                    example: cc3344747eee494857rrc9458nb3948
                  policy_code:
                    type: string
                    example: '001'
                  add_employees:
                    type: array
                    items:
                      type: string
                      example: 3343eree4394785ec3334cc
                  remove_employees:
                    type: array
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    error: true
                    message: This employee is not onboarded.
                    timestamp: '2023-03-27T17:24:35Z'
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  error:
                    type: boolean
                    example: true
                    default: true
                  message:
                    type: string
                    example: This employee is not onboarded.
                  timestamp:
                    type: string
                    example: '2023-03-27T17:24:35Z'
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````